<!-- Creado: Félix Ricardo Oliva Alonso, 12/12/2016. Se crea la vista para clonar perfiles -->
<!-- Modificado: Jorge Antonio Mendoza Salazar, 15/02/2017. Se cambio la presentacion de la vista -->

<?php
	use App\Libraries\ejLib;
	$var = ejLib::getInstance();
	$soapclient = $var->getWs();
	$wsClave = $var->get_wsClave();

	$response = $soapclient->vCat_CentroSalud($wsClave);
	$RESPUESTAS = new SimpleXMLElement(utf8_encode($response));

	$id_Perfil='';
	$Centro_Sal='';
	$Perfil='';
	$Actividades='';

	if(isset($_POST['idperfil']) && isset($_POST['centrosal'])){
		$response = $soapclient->AdministrarPerfilesDeUsuarioDeFE_getPerfilFE($_POST['idperfil'], $_POST['centrosal'],$wsClave);
		$registro = new SimpleXMLElement(utf8_encode($response));
		$registro= $registro->respuesta[0];

		if($registro->id_perfil != ''){
			$id_Perfil=$registro->id_perfil;
			$Centro_Sal=$registro->centro_sal;
			$Perfil=$registro->perfil;
			$Actividades=$registro->actividades;
		}
	}
?>

<script src="js/jquery-3.1.0.min.js"></script>
<script src="js/jqv/dist/jquery.validate.js"></script>
<script src="js/validar/root.js"></script>
<script src="js/notify.js"></script>

<script>
	$("#btn_guardar_ap3").click(function() {
		if( $('#centro_salud_ap3').val() == "") {
			$.notify("Debe seleccionar un centro de salud antes de continuar", "error");
			$('#centro_salud_ap3').focus();
			return;
		}
		$.ajax({
			type: "POST",
			url: 'perfiles-AdministrarPerfilesDeUsuarioDeFE_add_ClonPerfilFE',
			data: $("#admin_perfiles3").serialize(),
			success: function(data) {
				xmlDoc = $.parseXML( data ),
				$xml = $( xmlDoc );
				$($xml).each(function() {

					var error = ($(this).find("Respuesta>error").text());
					var titulo = ($(this).find("Respuesta>titulo").text());
					var descripcion = ($(this).find("Respuesta>descripcion").text());

					if(error==0) {
						$.notify("Registro clonado exitosamente", "success")
						jqGetAjax("cerrar","tblMovimientos", {  });
						//$('#admin_perfiles3')[0].reset();
						// setTimeout(function(){window.location = "perfiles"}, 2000);
					}
					if(error==1) {
						$.notify(descripcion, "error");
						$.notify(titulo, "error");
					}
				});
			},
			error : function(xhr, status) {
				alert("error");
			},
		});
		return false;
	});

	$( ".cerrar_form" ).click(function() {
		 jqGetAjax("cerrar","tblMovimientos", {  });
	});

	$( "#btn_privilegios_ap4" ).click(function() {
		 jqGetAjax("perfiles-PrivilegiosLst","tblMovimientos2", { });
	});
</script>

<form id="admin_perfiles3" method="#" action="#">
	<div class="row">
		<div class="titulo_fondo">
			<div class="titulo_pagina2">CLONAR EL PERFIL</div>
			  <a href="#h_logo"><img src="Img/close.png" height="20"  class="cerrar_form" /></a>
		</div>
	</div>

	<div class="row ">
		<div class="col-sm-5" style="margin-left: 10px;">
			<div class="form-group-sm">
				Centro de salud
				<select name="centro_sal_ap3" id="centro_sal_ap3" class="form-control">
					<option disabled selected>Elija una opción</option>
					@foreach($RESPUESTAS->respuesta as $cs)
						<option value="{!! $cs->centro_sal !!}">{!! utf8_decode($cs->desc_centr) !!}</option>
					@endforeach
				</select><br>

				Perfil:
				<input type="text" class="form-control" name="perfil_ap3" id="perfil_ap3" value="{!! utf8_decode($Perfil) !!}" placeholder="Máximo 200 caracteres"/>
			</div>
		</div>

		<div class="col-sm-offset-1 col-sm-5">
			<div class=" form-group-sm">
				Actividades:
				<textarea class="form-control" name="actividades_ap3" id="actividades_ap3" rows="4" cols="60">{!! utf8_decode($Actividades) !!}</textarea><br>
			</div>
		</div>
	</div><br>

	<br>
	<div class="sombra_cm">
		<div class="col1"><button type="button" id="btn_guardar_ap3">Guardar</button></div>
	</div>

	<input type="text" class="form-control" name="id_perfil_ap3" id="id_perfil_ap3" value="{!! $id_Perfil; !!}" style="display:none"/>
	<input type="text" class="form-control" name="id_centro_sal_ap3" id="id_centro_sal_ap3" value="{!! $Centro_Sal; !!}" style="display:none"/>
</form>
